Overview

Welcome to WiseDimensions 3D Visioner

3D Visioner is an add-on for Microsoft Visio 2002/2003 and provides a lot of useful features that let you work with your Visio projects as easy as possible. The ability to see whole project in one 3D scene, including all pages, shapes, links and even visualized hyperlinks aids in the productivity for Microsoft Visio users everywhere. Create your Visio diagrams as usual, then extrude them into the third dimension only with one click. 3D Visioner is designed to help you to fill all of the power of third dimension using minimum actions. It requires no configuration, no special knowledge and no expensive PC. All your actions with Visio project will be automatically synchronized with 3D View. Most of your actions will be done only using a mouse, in a very natural way, as if you hold your 3D Visio project in your hands. In addition, to create and distribute great presentations of your work, you can save 3D Visio project and share it with others using FREE Wise 3D Viewer.

Some of many features:

  • Full integration with Microsoft Visio using familiar "anchor window".

  • Very fast 3D engine, even with software rendering.

  • Easily zoom, rotate and pan.

  • Easy navigation: navigation in 3D is much time-saving and useful than in Visio, because you can rotate, pan and scale the whole project, containing all pages and objects. 3D Visioner extends the navigation of Visio: when you select some object in 3D, it immediately becomes selected in Visio project.

  • Two-click hyperlink creation. Create hyperlinks (links between objects on different pages) using only 2 clicks, in contrast with many wearisome actions in Visio.

  • Amazing 3D look. Eye candy 3D models, visual themes, shadows and reflections make the look of your Visio project modern and magnetic.

  • Customizable look: you can define the angularity and curvature of links, vertical distance between pages only rotating your mouse wheel.

  • Export to BMP.

This manual contains the information you need to start using 3D Visioner. Use the Table of Contents, Index or Search to find the interesting topic.
Also you can find a lot of useful information at our site http://www.wisedimensions.com and in the F.A.Q. (Frequently Asked Questions) section of this manual.


System Requirements

3D Visioner requires:

  • Windows 98, Windows ME, Windows NT 4.0, Windows 2000, Windows XP or Windows 2003 with Internet Explorer 4.0 or later.

  • Microsoft Visio 2002, 2003 or later.

  • OpenGL.

  • 3D Accelerator is preferable but is not "a must".

  • A minimum resolution 800x600 pixels.

  • A graphics card capable of displaying 16-bit color.

  • At least 32MB of RAM.

  • A Pentium 200-MMX processor or better.

We strongly recommend:

  • A graphics card capable of displaying 32-bit color.

  • At least 128MB of RAM.


Installing 3D Visioner

To install 3D Visioner:

  • Open Microsoft Visio.

  • In Visio 2002 : Select [Tools] from the Main menu of Visio, then select [Macros] and [Macro Security]. In the Security dialog set the [Security Level] to Low or Medium.

  • In Visio 2003 : Select [Tools] from the Main menu of Visio, then select [Options] and [Security Tab] from in the Options dialog. Push [Macro Security] button and set the [Security Level] to Low or Medium.

  • Close Visio and make sure there is no Visio instance open.

  • Run 3DVisioner_net.exe (or the package you downloaded from our site).

  • Follow the instructions as they appear on your screen.

  • Start Microsoft Visio.


Secure On-line Ordering

3D Visioner is trial ware and as such you must purchase a license for the program in order to continue using it after the end of the 14-day trial period.
Ordering process is performed by ShareIt/Element5, our contracted e-commerce provider, which ensures that your confidential information remains confidential. As soon as your order has been processed (usually in one business day), we will send you the License Key for your 3D Visioner add-on
If you have made a payment but haven't received confirmation with your License Key within a reasonable amount of time (two business days for credit card payments or two weeks for other payments), please notify us!
For pricing and ordering information visit us at: http://www.wisedimensions.com/order.html.


Introduction

Make your work with Visio as comfortable as it can be.

3D Visioner is an add-on for Microsoft Visio 2002/2003 and provides a lot of useful features that let you work with your Visio projects as easy as possible. The ability to see whole project in one 3D scene, including all pages, shapes, links and even visualized hyperlinks aids in the productivity for Microsoft Visio users everywhere. Create your Visio diagrams as usual, then extrude them into the third dimension only with one click. 3D Visioner is designed to help you to fill all of the power of third dimension using minimum actions. It requires no configuration, no special knowledge and no expensive PC. All your actions with Visio project will be automatically synchronized with 3D View. Most of your actions will be done only using a mouse, in a very natural way, as if you hold 3D Visio project in your hands. With 3D Visioner you can perform a lot of wearisome Visio actions using only one or two clicks. With 3D Visioner you can completely forget about most of Visio inconveniences, such as poor navigation, impossibility to view all pages in project at the same time, let alone the poor realization of page-to-page hyperlinks (connections between two shapes from different pages). You can easily rotate and scale your 3D view only using mouse as if you hold the project in your hands. All actions with Visio are at once automatically synchronized in 3D Visioner window.
In addition, to create and distribute great presentations of your work, you can save 3D Visio project and share it with others using FREE Wise 3D Viewer.

View entire Visio project at any angle.

In most cases it is very difficult to determine the direction of links on complex Visio projects. In these cases you can use the power of 3D projections or just rotate the 3D view to see the interesting links. You can open as many 3D windows in each Visio project as you need. All Visioner windows are habitual "Anchor windows" of Visio, so you can dock them and work as you got into the way of using them. Rotate, scale and pan the 3D scene of each window to set the most convenient angle of view.
Also when you edit your Visio project (add, delete or move shapes, create or delete connections, etc.), all changes immediately have an effect in all opened 3D windows.

Use amazingly easy navigation within your Visio projects.

3D Visioner is also a great navigation tool for Microsoft Visio.
When you click on interesting object in 3D Visioner window, it immediately becomes selected on appropriate Visio page. So you don't need to activate the page and scroll it to find some object, or use Visio Find dialog.
Same with pages. Click on page in 3D and it immediately will become visible in Visio.
This feature improves navigation capabilities of Visio to a new, very useful quality. Now you can edit your entire project as quick as possible. You don't need to switch pages or do a lot of intermediate actions to select an object, just select it in 3D window and the interesting object will be selected in 2D Visio project automatically, with automatic page switching if necessary.

Create page-to-page hyperlinks using only two mouse clicks.

Page-2-page hyperlinks are very useful feature of Network and other diagrams. Unfortunately, hyperlink mechanism, implemented in Visio, is absolutely useless.
3D Visioner provides very useful and convenient way to use all of the power of page-2-page hyperlinks. Imagine that you have several networks, represented with different pages and need to display the connection between these networks. This is the only one case, where hyperlinks relieve. Now you don't need to design all you work at one page to visually display all connections and relevances of objects. Separate your work into several logical parts and design each part on separate page. Then just link objects from different pages using hyperlinks. You need only 2 clicks to do this.
Hyperlinks differ from the other links, so you can easily distinguish them.
Now you can quickly and easily design the diagram of your corporate network, including all sites, subnets and site-2-site connections.


3D Visioner Interface

Below is a brief description of 3D Visioner interface elements.
For detailed description please refer to appropriate Toolbars section of this manual.

Main Toolbar
Open 3D Window | Opens 3D Visioner Window and automatically creates the entire 3D scene from opened project.
Synchronize 3D with 2D | If this is checked, when you select some object in 3D it immediately gets selected in Visio. Uncheck this toolbar button if you don't like this behaviour.
Open Demo Sample | Opens Demo Visio project and 3D window, which demonstrates how 3D scene is created on the fly.
Help | Opens this manual.
About | Displays a dialog, containing information about program version, video drivers and license.

3D Toolbar
Save As.. | Opens a menu with saving and exporting functions.
Zoom In / Zoom Out | Scales the entire scene.
Fit Entire Project | Fits entire project into the view.
Fit Active Page | Fits into the view only the selected page.
Initial position | Resets pan, zoom and scale to default settings.
Visual Settings | Opens a menu with visual tuning functions.
General Settings | Opens a menu with general tuning options.
Hyperlink Tool | Hyperlink operating tool, enters in hyperlink creation/deletion mode on check and exits when unchecked.


3D Scene

When you click on 3D button from the Main Toolbar, 3D Visioner automatically creates 3D visualization scene for the current Visio project. The scene is displayed in 3D Visioner window and you can open as much windows as you need for any project. Each scene contains all shapes, links and hyperlinks from the Visio project. The color of the links depends on its length. Short links are brighter then the long ones.

Each shape from your Visio project represents using corresponding 3D model. Currently 3D Visioner contains 3D models for Network stencil. All other shapes, that do not have 3D models are displayed using their 2D representations.

Even if project contains no shapes with 3D models, it looks very similar to its 2D representation.


3D Visioner Visio Toolbar

Main Toolbar

The Main 3D Visioner Toolbar is inserted into the set of Visio toolbars. It includes global functions, such as creating 3D scene of opened project, opening sample project and so on. If you can't find this toolbar in Visio, right click on any other toolbar and choose [3D Visioner]] from the appeared menu.
Below is the description of all buttons as they appear in this toolbar from the left to the right.

Open 3D Window | Opens 3D Visioner Window and automatically creates the entire 3D scene from opened project.
Synchronize 3D with 2D | If this is checked, when you select some object in 3D it immediately gets selected in Visio. Uncheck this toolbar button if you don't like this behaviour.
Open Demo Sample | Opens Demo Visio project and 3D window, which demonstrates how 3D scene is created on the fly.
Help | Opens this manual.
About | Displays a dialog, containing information about program version, video drivers and license.


3D View Toolbar

3D Toolbar

3D window toolbar contains a set of functions to operate the 3D scene. Some of its buttons realize many functions, such buttons open pop-up menus for you to choose the action you want to perform. Below is the description of all buttons as they appear in this toolbar from the left to the right.

Save As.. | Opens a menu with saving and exporting functions.
Zoom In / Zoom Out | Scales the entire scene.
Fit Entire Project | Fits entire project into the view.
Fit Active Page | Fits into the view only the selected page.
Initial position | Resets pan, zoom and scale to default settings.
Visual Settings | Opens a menu with visual tuning functions.
General Settings | Opens a menu with general tuning options.
Hyperlink Tool | Hyperlink operating tool, enters in hyperlink creation/deletion mode on check and exits when unchecked.

Pop-up menus:

1. Save As.

Save Project.. | Save entire 3D scene in our V3D active format to view it with FREE Wise 3D Viewer.
Export to BMP... | Export the entire scene to BMP (Windows Bitmap file).

2. Visual Settings.

Default Theme, Silver Theme, Simple Theme | Choose Visual Theme for the current scene.
Shadows | Display shadows of shapes.
Reflections | Display reflections of shapes.
Shapes Skinning | Enable skins of shapes.

3. General Settings.

Show Labels on Pages, Shapes, Links | Display the names of pages, shapes and links.
Show/Hide all Labels | Show/Hide all names.
Auto Rotate | Enable auto-rotation. With this feature you can just incite the scene to rotate and it will continue rotate automatically.
Shapes Skinning | Enable skins of shapes.
Round Pages | Display round pages when possible.


Shapes

When you rotate, move or scale some shape from your Visio project, the same action is immediately done with the appropriate 3D model in the 3D Visioner window. All other actions, such as deleting or adding shapes, are also automatically synchronized with 3D window.

Also you can show or hide the labels of your shapes in 3D. To do this select [Show Labels on Shapes] from the General Settings menu.

Currently 3D Visioner includes 3D models designed for the shapes from the Network stencils. All other shapes are represented using their 2D pictures.


Links

Connected shapes are also displayed connected in the 3D Visioner window. The links in 3D scene are displayed only when they are valid, i.e. when they connect two or more shapes. The color of the links depends on its length. Short links are brighter then the long ones. This also helps to determine where each link is directed and which shapes it connects.
To customize links representation there is possibility to change the curvature and angularity.

To change the curvature of links press <Shift> and rotate mouse wheel:

To change the angularity of links press <Ctrl+Shift> and rotate mouse wheel:

This also affects to the shapes as Straight Bus, Ethernet,Token-Ring and so on.


Pages

Each page from you Visio project is represented as 3D surface in 3D Visioner. The size of 3D pages is calculated dynamically to fit all included shapes, so do not be surprised if the size of 3D page will be smaller than the size of your Visio page. Moreover, there is an ability to display round pages when this is possible. To enable this feature choose [Round Pages] from the General menu.

If [Synchronize 3D with 2D] is selected in the Main Toolbar, when you click on some page on 3D, it immediately becomes activated in your Visio project.
You can fit the active page into the 3D View. To activate the page double click left mouse button on it and choose [Fit Active Page] from 3D Toolbar.
Active pages are outlined with red in 3D.


Hyperlinks

Page-2-page hyperlinks are very useful feature of Network and other diagrams. Unfortunately, hyperlink mechanism, implemented in Visio, is absolutely useless.
3D Visioner provides very useful and convenient way to use all of the power of page-2-page hyperlinks. Imagine that you have several networks, represented with different pages and need to display the connection between these networks. This is the only one case, where hyperlinks relieve. Now you don't need to design all you work at one page to visually display all connections and relevances of objects. Separate your work into several logical parts and design each part on separate page. Then just link objects from different pages using hyperlinks. You need only 2 clicks to do this.

Let assume you have two networks designed on different pages, one in your San Jose office and the second in your Washington office, the first one is Ethernet network, and the second one is Token-Ring network, and you need to connect the "Bridge 1" with "Bridge 2".

In Visio there is no way to visualize this connection, let alone the difficulty of creation hyperlinks.
Let's see what we can do using 3D Visioner. Below is 3D representation of this diagram, both pages displayed at the same time with their labels.
Select [Hyperlink Creation Tool] from the toolbar. Then click right mouse button on "Bridge 1" and then on "Bridge 2". That's all.
To exit from hyperlink editing mode, select [Hyperlink Creation Tool] again.

And here is the result, created and visualized hyperlink.

To delete hyperlink select [Hyperlink Creation Tool] and click right mouse button on the small yellow sphere pointed with arrow in the above picture. Then select [Hyperlink Creation Tool] again to exit from hyperlink editing mode.


Fast Navigation from 3D

3D Visioner is also a great navigation tool for Microsoft Visio.
When you click on interesting object in 3D Visioner window, it immediately becomes selected on appropriate Visio page. So you don't need to activate the page and scroll it to find some object, or use Visio Find dialog.
Same with pages. Click on page in 3D and it immediately will become visible in Visio.
This feature improves navigation capabilities of Visio to a new, very useful quality. Now you can edit your entire project as quick as possible. You don't need to switch pages or do a lot of intermediate actions to select an object, just select it in 3D window and the interesting object will be selected in 2D Visio project automatically, with automatic page switching if necessary.


Zoom, Rotate and Pan

Zoom.

There are several ways to zoom the 3D scene: using the 3D Toolbar, using Mouse Wheel or using free zooming rectangle.

  1. Zooming using the toolbar.
    To Zoom In/Zoom Out entire scene select     Zoom In or Zoom Out from the 3D Toolbar.

  2. Zooming using the Mouse Wheel.
    Rotate the wheel of your mouse to forward to Zoom In and backward to Zoom Out.

  3. Zooming using the free zooming rectangle.
    Click the right mouse button into the 3D scene and, holding it, drag the mouse until     it covers an area you want too Zoom In.

  4. Use [Fit Entire Project] from the 3D Toolbar to fit entire scene into the view.

Rotation.

Rotation is performed using the left mouse button. Click the left mouse button and, holding it, move the mouse. If you have selected [Auto Rotate] from the General Settings menu, move the mouse for a short time with the direction you need and release it - the scene will rotate at that direction automatically.
The scene rotates around a pivot. Initially the pivot is set at the center of the entire scene.
You can set the pivot to center of the active page by double clicking the left mouse button on that page. in this case the scene will rotate around the center of the active page.
To set the pivot back to the center of the entire scene, double-click left mouse button into some empty space of the scene.

Pan.

To pan the scene hold the <Shift>, click left mouse button into the scene and move the mouse until the scene gets the position you need.


Visual Themes

3D Visioner provides several visual themes to represent your 3D Visio projects.
You can choose available themes from the Visual Settings menu.

  1. Default Theme.
    This theme is designed to meet the interface of Microsoft Visio.

  2. Silver theme.
    This theme is our favorite :)

  3. Simple Theme.
    This theme is specially designed for slow computers.


3D Scene Appearance Customization

You can customize the appearance of you 3D scene using Visual Settings menu.
From this menu you can select visual themes for your project, choose whether to display or not shadows and reflections.


Wise 3D Viewer

Download Wise 3D Viewer for FREE and share your projects from 3D Visioner with as many people as you need. The Viewer is Visio-free standalone application and includes all functionality of 3D Visioner except of editing and saving capabilities. With Wise 3D Viewer you can view 3D Visio projects even if there is no Microsoft Visio installed.


F.A.Q

Frequently Asked Questions (F.A.Q)

Ordering and activation
Q:
Can I try the program before purchase it?
A:
Absolutely. You are encouraged to download the program, install it and evaluate for up to 30 days. If you have any questions, feel free to ask us. It is always a pleasure for us to work with developers who are well informed about our software and know what they are doing.
Q:
What limitations does the trial version have?
A:
The trial version of 3D Visioner has no limitations in functionality, but stops working after 30 days from the moment of its first installation. If some feature doesn't work as you expect it to work, may be you are not using it correctly or there is some other problem, but it is certainly not because of the trial mode
Q:
What is your refund policy?
A:
You have plenty of time to evaluate our software and you shouldn't buy it unless you are happy with it. If you do request a refund, you will be asked to destroy all your copies of the product in question and send us a signed legal document confirming that you did so. Then your activation key(s) will be invalidated in all future versions of the product.
Tech support and upgrades
Q: Do I have to pay for technical support?
A:
No. Whether you have a license or just evaluating WiseDimensions products, if you have questions about the software, they will be answered. Period. No subscription fees, no incidents-per-month or other limitations. But believe it or not, we don't spend much time on technical support, since the software is very intuitive and easy to use.
Q:
Can I call you to ask a question?
A:
Sorry, we do all technical support by email only.
Q:
How do I report a bug?
A:
If you see what could be a bug in the product, please report it to us. Usually a screenshot or two help a lot to understand a problem, but please make a reasonable effort to make them compact, because megabyte attachments in the mailbox are no fun at all. You can also report a bug by posting a message in "Contact Us" section.
Technical questionss
Q:
After 3D Visioner installation, I am trying to start Visio, but it displays the message: "The addon listed below could not be loaded because the security level is high...". What should I do?
A:
You should set the security level to Low to allow Visio run unsigned addons.

  • In Visio 2002 : Select [Tools] from the Main menu of Visio, then select [Macros] and [Macro Security]. In the Security dialog set the [Security Level] to Low or Medium.

  • In Visio 2003 : Select [Tools] from the Main menu of Visio, then select [Options] and [Security Tab] from in the Options dialog. Push [Macro Security] button and set the [Security Level] to Low or Medium.

Q:
How to set pivot in the center of whole scene?
A:
To set pivot in the center of whole scene just double-click left mouse button on empty space in scene.
Q:
How to set pivot in the center of active page?
A:
To set pivot in the center of active page just double-click left mouse button on the page.
Q:
I've created a lot of links in Visio, but they don't appear in 3D.
A:
3D shows only "correct links" from Visio (the links, connecting shapes with connection points). This means if you just draw a line from one shape to other, the 3D doesn't display it. Please use correct links ant connect them with shapes using connection points.
Q:
How to scroll the entire scene in 3D?
A:
Just hold "Shift" and then catch and drag the scene using left mouse button.
Q:
Is there some special requirements to system because of 3D graphics use?
A:
No. Our software doesn't require presence of 3D accelerator, but if you have one, it should strongly improve the quality and the speed of 3D.
Q:
I have 3D accelerator installed, but the program doesn't determine it (the vendor field in About Dialog is empty or "Microsoft Corporation").
A:
Possible reasons are:
1. You have no graphics driver installed. Please, download and install specific graphics driver from the site of your Video card manufacturer.
2. You are using either 256 color or 16 bit color graphics mode. Please, switch to 32 bit color mode.


Mouse and Keyboard

Below is the brief description of the actions you can perform using the mouse and keyboard.

Left Mouse Click + Mouse Move | Rotate the scene
<Shift> + Left Mouse Click + Mouse Move | Pan the scene
Mouse Wheel | Zoom In/Out
<Shift> + Mouse Wheel | Change the curvature of links
<Ctrl> + <Shift> + Mouse Wheel | Change the angularity of links
<Ctrl> + Mouse Wheel | Change the vertical distance between pages (5 pages and more)


Technical Support

If you have any questions, suggestions, want report a bug or just say us what you think, please contact us at http://www.wisedimensions.com/contact.html or write us to support@wisedimensions.com.
Also you can fill the form at our download page to tell us what features you need and what features are most valuable for you.
Whether you have a license or just evaluating WiseDimensions products, if you have questions about the software, they will be answered. Period. No subscription fees, no incidents-per-month or other limitations. But believe it or not, we don't spend much time on technical support, since the software is very intuitive and easy to use.